BZEXE(1)

BEZEICHNUNG
bzexe - ausführbare Dateien an Ort und Stelle komprimieren

ÜBERSICHT
bzexe [ Name … ]

BESCHREIBUNG
Das Dienstprogramm bzexe ermöglicht die Komprimierung ausführbarer Dateien an Ort und Stelle und die automatische Dekomprimierung und Ausführung, wenn Sie die Datei ausführen (auf Kosten der Performance). Wenn Sie beispielsweise bzexe /bin/cat ausführen, werden die folgenden beiden Dateien erstellt:
    -r-xr-xr-x  1 root  bin   9644 Feb 11 11:16 /bin/cat
    -r-xr-xr-x  1 bin   bin  24576 Nov 23 13:21 /bin/cat~
/bin/cat~ ist die Originaldatei und /bin/cat die selbstentpackende ausführbare Datei. Sie können /bin/cat~ entfernen, sobald Sie sicher sind, dass /bin/cat korrekt funktioniert.

Dieses Dienstprogramm ist vor allem auf Systemen mit sehr wenig Plattenplatz nützlich.

OPTIONEN

-d  dekomprimiert die angegebenen ausführbaren Dateien, anstatt sie zu komprimieren.

SIEHE AUCH
bzip2(1), znew(1), zmore(1), zcmp(1), zforce(1)

WARNUNG
Die komprimierte ausführbare Datei ist ein Shell-Skript. Dadurch können diverse Sicherheitslücken entstehen. Insbesondere greift die komprimierte ausführbare Datei bei der Suche nach gzip und anderen Dienstprogrammen wie tail, chmod, ln oder sleep auf die Umgebungsvariable PATH zurück.

FEHLER
bzexe versucht, die ursprünglichen Dateiattribute in die komprimierte ausführbare Datei zu übernehmen, aber in manchen Fällen müssen Sie diese mittels chmod oder chown selbst korrigieren.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.